Subject: Re: bug#40671: [DOC] modify literal objects

From: Michael Heerdegen <[email-masked]>
Date: Sun, 17 May 2020 07:02:13 +0200

Paul Eggert <[email-masked]> writes:

> ... and symbol-name is one of the cases.

I'm wondering about this one for a while, too.  Is it that the resulting
string is really like the "object is part of an evaluated program"
cases, or is it just that modifying it has an unwanted side effect
(changing the name of the symbol, and Emacs doesn't handle this
correctly).  I mean, you can modify a lot of objects in Emacs and that
will cause trouble.  We surely don't want to call them all constant or
not safely mutable or whatever.  How is the result of `symbol-name'
different from these other cases?  Is it only that the side effect/ mess
is not visible from Lisp?  Where do you draw the line?  Yes, the hidden
question is still what your definition of safely mutable is.

Thanks,

Michael.